
link:
  inputs:
    - assemble:
       source: startup_m3.asm
       machine: thumb
    - compile:
       sources: [kernel.c3, syscall.c3, schedule.c3, 'arch/cortexm3.c3']
       includes: [memory.c3, process.c3]
       machine: thumb
       output: kernel.elf2
    - compile:
       sources: [memory.c3, process.c3]
       includes: [kernel.c3, syscall.c3, schedule.c3, 'arch/cortexm3.c3']
       machine: thumb
       output: kernel.elf2
  layout:
     code: 0x10000
     data: 0x20000000
  output: kernel_thumb.bin

